summaryrefslogtreecommitdiffstats
path: root/.config
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--.config/env2
-rw-r--r--.config/zsh/alias.zsh6
2 files changed, 7 insertions, 1 deletions
diff --git a/.config/env b/.config/env
index f8b5082..6178491 100644
--- a/.config/env
+++ b/.config/env
@@ -64,7 +64,7 @@ export CCACHE_LOGFILE='/var/log/ccache.log'
# Apps config
export FZF_DEFAULT_COMMAND='ag -g "" --ignore dotfiles-bsd'
-export FZF_DEFAULT_OPTS='--height 40% --layout=reverse --border'
+export FZF_DEFAULT_OPTS='--height 40% --layout=reverse --border --tabstop=4'
export LESS="-R"
export LESSHISTFILE='-'
export MANPAGER="less -R -M +Gg"
diff --git a/.config/zsh/alias.zsh b/.config/zsh/alias.zsh
index 79e62cb..5ce9d50 100644
--- a/.config/zsh/alias.zsh
+++ b/.config/zsh/alias.zsh
@@ -50,6 +50,12 @@ alias stopdocker='docker-machine stop docker-home'
alias envdocker='eval `docker-machine env docker-home`'
alias vimz='nvim $(fzf)'
alias v='nvim $(fzf)'
+vs() {
+ p=$(pwd)
+ cd "$HOME"/.local/bin || return
+ nvim $(fzf --preview='head -$FZF_PREVIEW_LINES {}')
+ cd $p
+}
pa() {
if [ "$1" ]; then
if cd "$HOME"/.local/packs/"$1"; then